#include "testlib.h"
#include <bits/stdc++.h>
using namespace std;

int main(int argc, char **argv) {
    registerValidation(argc, argv);

    // Считываем n и m
    long long n = inf.readLong(1, (long long)1e12, "n");
    inf.readSpace();
    long long m = inf.readLong(1, (long long)1e12, "m");
    inf.readEoln();

    // Проверяем, что после строки нет лишнего ввода
    inf.readEof();

    return 0;
}

